#!/usr/bin/env python3
# -*- encoding: utf-8; py-indent-offset: 4 -*-

from pathlib import Path
from typing import Any, Dict

from .bakery_api.v1 import FileGenerator, OS, Plugin, register

def get_lgb_apt_files(conf: Dict[str, Any]) -> FileGenerator:
    yield Plugin(base_os=OS.LINUX,
                 source=Path("lgb_apt"),
                 interval=conf.get("interval"))

register.bakery_plugin(
    name="lgb_apt",
    files_function=get_lgb_apt_files,
)

